Go to the latest version of this document.

# ``twisted`.`conch`.`client`.`direct`.`SSHClientFactory``

class documentation

`class SSHClientFactory(protocol.ClientFactory): (source)`

Constructor: `SSHClientFactory(d, options, verifyHostKey, userAuthObject)`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `buildProtocol` | Create an instance of a subclass of Protocol.
Method | `clientConnectionFailed` | Called when a connection has failed to connect.
Method | `clientConnectionLost` | Called when an established connection is lost.
Instance Variable | `d` | Undocumented
Instance Variable | `options` | Undocumented
Instance Variable | `userAuthObject` | Undocumented
Instance Variable | `verifyHostKey` | Undocumented

Inherited from `ClientFactory`:

Method | `startedConnecting` | Called when a connection has been started.

Inherited from `Factory` (via `ClientFactory`):

Class Method | `forProtocol` | Create a factory for the given protocol.
Method | `doStart` | Make sure startFactory is called.
Method | `doStop` | Make sure stopFactory is called.
Method | `logPrefix` | Describe this factory for log messages.
Method | `startFactory` | This will be called before I begin listening on a Port or Connector.
Method | `stopFactory` | This will be called before I stop listening on all Ports/Connectors.
Class Variable | `noisy` | Undocumented
Class Variable | `protocol` | Undocumented
Instance Variable | `numPorts` | Undocumented

def __init__(self, d: `Deferred[None]`, options: `ConchOptions`, verifyHostKey: `_VHK`, userAuthObject: `SSHUserAuthClient`): (source)

Undocumented

def buildProtocol(self, addr: `IAddress`) -> `SSHClientTransport`: (source)
from `twisted.internet.interfaces.IProtocolFactory`
overrides `twisted.internet.protocol.Factory.buildProtocol`

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Alternatively, `None` may be returned to immediately close the new connection.

Override this method to alter how Protocol instances get created.

Parameters
addr:`IAddress` | an object implementing `IAddress`

Returns
`SSHClientTransport` | Undocumented

def clientConnectionFailed(self, connector: `IConnector`, reason: `Failure`): (source)
overrides `twisted.internet.protocol.ClientFactory.clientConnectionFailed`

Called when a connection has failed to connect.

It may be useful to call connector.connect() - this will reconnect.

Parameters
connector:`IConnector` | Undocumented
reason:`twisted.python.failure.Failure` | Undocumented

def clientConnectionLost(self, connector: `IConnector`, reason: `Failure`): (source)
overrides `twisted.internet.protocol.ClientFactory.clientConnectionLost`

Called when an established connection is lost.

It may be useful to call connector.connect() - this will reconnect.

Parameters
connector:`IConnector` | Undocumented
reason:`twisted.python.failure.Failure` | Undocumented

d: `Deferred[None] | None` = (source)

Undocumented

options = (source)

Undocumented

userAuthObject = (source)

Undocumented

verifyHostKey = (source)

Undocumented